__default__:
    jobname:    dentist.{rule}
    partition:  batch
    nCPUs:      "{threads}"

mask_dust:
    jobname:    dentist.{rule}.{wildcards.dam}
    memory:     4096
    time:       "00:30"

tandem_alignment_block:
    jobname:    dentist.{rule}.{wildcards.dam}.{wildcards.block}
    memory:     32768
    time:       "00:30"

tandem_alignment:
    jobname:    dentist.{rule}.{wildcards.dam}
    memory:     1024
    time:       "00:30"

mask_tandem_block:
    jobname:    dentist.{rule}.{wildcards.dam}.{wildcards.block}
    memory:     32768
    time:       "00:30"

self_alignment_block:
    jobname:    dentist.{rule}.{wildcards.dam}.{wildcards.block_ref}.{wildcards.block_reads}
    memory:     32768
    time:       "01:00"

self_alignment:
    jobname:    dentist.{rule}.{wildcards.dam}
    memory:     1024
    time:       "00:30"

mask_self:
    jobname:    dentist.{rule}.{wildcards.dam}
    memory:     8192
    time:       "04:00"

ref_vs_reads_alignment_block:
    jobname:    dentist.{rule}.{wildcards.block_reads}
    memory:     32768
    time:       "02:00"

ref_vs_reads_alignment:
    memory:     1024
    time:       "01:00"

reads_vs_ref_alignment:
    memory:     1024
    time:       "01:00"

estimate_read_coverage:
    memory:     1024
    time:       "00:15"

mask_reads:
    memory:     1024
    time:       "00:15"

propagate_mask:
    jobname:    dentist.propagate_mask
    memory:     8192
    time:       "02:00"
    nCPUs:      8

propagate_mask_to_reads_block:
    memory:     8192
    time:       "00:30"

propagate_mask_back_to_reference_block:
    memory:     8192
    time:       "02:00"

collect:
    memory:     32768
    time:       "24:00"

process:
    jobname:    dentist.{rule}.{wildcards.batch_id}
    memory:     16384
    time:       "24:00"

preliminary_output:
    memory:     16384
    time:       "01:00"

preliminary_gap_closed_vs_reads_alignment_block:
    jobname:    dentist.{rule}.{wildcards.block_reads}
    memory:     32768
    time:       "00:30"

preliminary_gap_closed_vs_reads_alignment:
    memory:     1024
    time:       "01:00"

validate_regions_block:
    jobname:    dentist.{rule}.{wildcards.block_ref}
    memory:     32768
    time:       "00:30"

unpurged_output:
    memory:     16384
    time:       "01:00"

purged_output:
    memory:     16384
    time:       "01:00"
